%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_without check
%global debug_package %{nil}

%global crate crossterm

Name:           rust-crossterm0.25
Version:        0.25.0
Release:    1%{?dist}
Summary:        Crossplatform terminal library for manipulating terminals

License:        MIT
URL:            https://crates.io/crates/crossterm
Source0:         %{crates_source}
Patch:          crossterm-fix-metadata-auto.diff

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
A crossplatform terminal library for manipulating terminals.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+bracketed-paste-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+bracketed-paste-devel %{_description}

This package contains library source intended for building other packages which
use the "bracketed-paste" feature of the "%{crate}" crate.

%files       -n %{name}+bracketed-paste-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+event-stream-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+event-stream-devel %{_description}

This package contains library source intended for building other packages which
use the "event-stream" feature of the "%{crate}" crate.

%files       -n %{name}+event-stream-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+futures-core-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+futures-core-devel %{_description}

This package contains library source intended for building other packages which
use the "futures-core" feature of the "%{crate}" crate.

%files       -n %{name}+futures-core-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-devel %{_description}

This package contains library source intended for building other packages which
use the "serde" feature of the "%{crate}" crate.

%files       -n %{name}+serde-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Sat Jun 29 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.25.0-1
- initial build
